petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearch

Abstract PETSc object that manages line-search operations

### Synopsis

    typedef struct _p_LineSearch* SNESLineSearch;

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType(), SNES

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html